import { IAppToolkit } from '../../../app-toolkit/app-toolkit.interface';
import { ContractFactory } from '../../../contract/contracts';
import { Network } from '../../../types/network.interface';
declare type ContractOpts = {
    address: string;
    network: Network;
};
export declare class UnipilotContractFactory extends ContractFactory {
    protected readonly appToolkit: IAppToolkit;
    constructor(appToolkit: IAppToolkit);
    unipilotEthereumFactory({ address, network }: ContractOpts): import("./ethers").UnipilotEthereumFactory;
    unipilotPolygonFactory({ address, network }: ContractOpts): import("./ethers").UnipilotPolygonFactory;
    unipilotVault({ address, network }: ContractOpts): import("./ethers").UnipilotVault;
}
export type { UnipilotEthereumFactory } from './ethers';
export type { UnipilotPolygonFactory } from './ethers';
export type { UnipilotVault } from './ethers';
